summaryrefslogtreecommitdiff
path: root/repo/system/perl/perl.xibuild
diff options
context:
space:
mode:
Diffstat (limited to 'repo/system/perl/perl.xibuild')
-rw-r--r--repo/system/perl/perl.xibuild60
1 files changed, 60 insertions, 0 deletions
diff --git a/repo/system/perl/perl.xibuild b/repo/system/perl/perl.xibuild
new file mode 100644
index 0000000..494b9f1
--- /dev/null
+++ b/repo/system/perl/perl.xibuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+MAKEDEPS="make sed"
+DEPS="gdbm musl bzip2 zlib tar"
+
+PKG_VER=5.34.0
+SOURCE=https://www.cpan.org/src/5.0/perl-$PKG_VER.tar.gz
+DESC="The Practical Extraction and Report Language"
+ADDITIONAL="
+musl-locale.patch
+musl-skip-dst-test.patch
+musl-stack-size.patch
+skip-test-due-to-busybox-ps.patch
+zlib-test.patch
+"
+
+prepare () {
+ apply_patches
+ export BUILD_ZLIB=False
+ export BUILD_BZIP2=0
+ export CF_OLD=$CFLAGS
+ export CFLAGS="$CFLAGS -DNO_POSIX_2008_LOCALE"
+ export CFLAGS="$CFLAGS -D_GNU_SOURCE"
+
+ rm -rf cpan/Compress-Raw-Zlib/zlib-src
+ sed -i '/\(bzip2\|zlib\)-src/d' MANIFEST
+
+ rm -rf cpan/Compress-Raw-Bzip2/bzip2-src
+ sed -i '/\(bzip2\|zzz\)-src/d' MANIFEST
+
+ sh Configure -des -Dprefix=/usr \
+ -Dvendorprefix=/usr \
+ -Dprivlib=/usr/lib/perl5/5.34/core_perl \
+ -Darchlib=/usr/lib/perl5/5.34/core_perl \
+ -Dsitelib=/usr/lib/perl5/5.34/site_perl \
+ -Dsitearch=/usr/lib/perl5/5.34/site_perl \
+ -Dvendorlib=/usr/lib/perl5/5.34/vendor_perl \
+ -Dvendorarch=/usr/lib/perl5/5.34/vendor_perl \
+ -Dman1dir=/usr/share/man/man1 \
+ -Dman3dir=/usr/share/man/man3 \
+ -Dpager="/usr/bin/less -isR" \
+ -Duseshrplib \
+ -Dusethreads \
+ -Dcccdlflags='-fPIC' -Dccdlflags='-rdynamic'
+}
+
+build () {
+ make
+}
+
+check () {
+ make test || true
+}
+
+package () {
+ make DESTDIR="$PKG_DEST" install
+ for f in $(find /export -maxdepth 1 -type f); do echo $f; rm $f; done
+ unset BUILD_ZLIB BUILD_BZIP2
+}
+